summaryrefslogtreecommitdiff
path: root/debian/taler-auditor.postrm
diff options
context:
space:
mode:
Diffstat (limited to 'debian/taler-auditor.postrm')
-rw-r--r--debian/taler-auditor.postrm58
1 files changed, 58 insertions, 0 deletions
diff --git a/debian/taler-auditor.postrm b/debian/taler-auditor.postrm
new file mode 100644
index 000000000..7697a4142
--- /dev/null
+++ b/debian/taler-auditor.postrm
@@ -0,0 +1,58 @@
+#!/bin/sh
+
+set -e
+
+pathfind() {
+ OLDIFS="$IFS"
+ IFS=:
+ for p in $PATH; do
+ if [ -x "$p/$*" ]; then
+ IFS="$OLDIFS"
+ return 0
+ fi
+ done
+ IFS="$OLDIFS"
+ return 1
+}
+
+if [ -f /usr/share/debconf/confmodule ];
+then
+ . /usr/share/debconf/confmodule
+fi
+
+case "${1}" in
+ purge)
+ db_version 2.0
+
+ db_get taler-auditor/username
+ _USERNAME="${RET:-taler-auditor-httpd}"
+
+ db_get taler-auditor/groupname
+ _GROUPNAME="${RET:-taler-auditor-httpd}"
+
+ if pathfind deluser
+ then
+ deluser --quiet --system ${_USERNAME} || true
+ fi
+
+ if pathfind delgroup
+ then
+ delgroup --quiet --system --only-if-empty ${_GROUPNAME} || true
+ fi
+
+ rm -rf /var/log/taler-auditor/ /var/lib/taler-auditor /etc/default/taler-auditor
+ ;;
+
+ remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+
+ ;;
+
+ *)
+ echo "postrm called with unknown argument \`${1}'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0